Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynValueCommonHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynValueCommonHelper

public class DynValueCommonHelper
extends java.lang.Object

Helper class for : DynValueCommon

Author:
  OpenORB Compiler

Constructor Summary
`DynValueCommonHelper()`

Method Summary
`static DynValueCommon` | `extract(Any a)` Extract DynValueCommon from an any
`static java.lang.String` | `id()` Return the DynValueCommon IDL ID
`static void` | `insert(Any a, DynValueCommon t)` Insert DynValueCommon into an any
`static DynValueCommon` | `narrow(Object obj)` Narrow CORBA::Object to DynValueCommon
`static DynValueCommon` | `read(InputStream istream)` Read DynValueCommon from a marshalled stream
`static TypeCode` | `type()` Return the DynValueCommon TypeCode
`static DynValueCommon` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynValueCommon
`static void` | `write(OutputStream ostream, DynValueCommon value)` Write DynValueCommon into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynValueCommonHelper

    public DynValueCommonHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynValueCommon t)

  Insert DynValueCommon into an any
  Parameters:
    `a` - an any
    `t` - DynValueCommon value

### extract

    public static DynValueCommon extract(Any a)

  Extract DynValueCommon from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynValueCommon value

### type

    public static TypeCode type()

  Return the DynValueCommon TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynValueCommon IDL ID
  Returns:
    an ID

### read

    public static DynValueCommon read(InputStream istream)

  Read DynValueCommon from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynValueCommon value

### write

    public static void write(OutputStream ostream,
                             DynValueCommon value)

  Write DynValueCommon into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynValueCommon value

### narrow

    public static DynValueCommon narrow(Object obj)

  Narrow CORBA::Object to DynValueCommon
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynValueCommon Object

### unchecked_narrow

    public static DynValueCommon unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynValueCommon
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynValueCommon Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD